From 47b3cf22836024d088909770e17d7f14c0295f81 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 11 2020 07:54:39 +0000
Subject: [PATCH 251/2232] Add constructor to move T into Box


---

diff --git a/include/cxx.h b/include/cxx.h
index 27034f0..338dafe 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -98,6 +98,10 @@ public:
     this->uninit();
     ::new (this->ptr) T(val);
   }
+  Box(T &&val) {
+    this->uninit();
+    ::new (this->ptr) T(std::move(val));
+  }
   Box &operator=(const Box &other) {
     if (this != &other) {
       if (this->ptr) {

